be.ehealth.businessconnector.therlink.domain.requests

## Enum TherapeuticLinkStatus

- java.lang.Object
- - java.lang.Enum<TherapeuticLinkStatus>
  - - be.ehealth.businessconnector.therlink.domain.requests.TherapeuticLinkStatus

- All Implemented Interfaces:
    Serializable, Comparable<TherapeuticLinkStatus>

      public enum TherapeuticLinkStatus
      extends Enum<TherapeuticLinkStatus>

  TherapeuticLinkStatus.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE` Therapeutic link status
    `ALL`
    `INACTIVE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TherapeuticLinkStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TherapeuticLinkStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final TherapeuticLinkStatus ACTIVE

      Therapeutic link status

    - #### INACTIVE

          public static final TherapeuticLinkStatus INACTIVE

    - #### ALL

          public static final TherapeuticLinkStatus ALL

  - ### Method Detail

    - #### values

          public static TherapeuticLinkStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TherapeuticLinkStatus c : TherapeuticLinkStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TherapeuticLinkStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging TRUSSMAKER 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.